/***************************************************************************
 *   Copyright (C) 2005 by Taka John Brunkhorst                            *
 *   contact@antiwmac.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 

void MainFunc(char Alphabet[], char TargetMD5[]) 
{
	
	int a,b,c;
	char Password[14];
	char sumbuf[16] ;
	char md5buf[33];
	
	for (a = 0; a < 8; a++) 
	{
		for(b=0; b <= a; b++) 
		{
			Password[b]=Alphabet[0];
		}
		
		Password[b]='\0';
		
		b=0;	
		
		while(b <= a) 
		{
		
			if(!b) 
			{
				/* Generate MD5 Hash */
				MD5_CTX mycontext;
				MD5_Init(&mycontext);
				MD5_Update(&mycontext, Password, strlen(Password));
				MD5_Final(sumbuf, &mycontext);
				mdstring(md5buf, sumbuf);
				
				
					/* If target hash found do */
					if (strcmp(md5buf, TargetMD5) == 0) 
					{
						printf("Hash match found!!\n [%s] [%s]\n"
						, Password, md5buf);
						
						/* Write MATCH to file START*/
						int fno();
						{
						FILE *fno;
						if ((fno = fopen("md5brute.found", "w")) == NULL) 
						fprintf(fno,"Hash match at\n [%s] with hash [%s]\n Reported by Anti-WMAC MD5BRUTE", Password, md5buf);
						fclose(fno);
						
						}
						/* Write MATCH to file END*/
						
						printf("Thank you for using Anti-WMAC MD5BRUTE! exiting!\n");
						exit(0);
					}
					
			}
			
			
			c = FuncIndex(Alphabet, Password[b]);
			c++;
			
			if(c >= strlen(Alphabet)) 
			{
				Password[b] = Alphabet[0];	/* Reset this to first char */
				b++;	/* increment POSITION */
				continue;	/* and keep going with loop */
			}
			Password[b] = Alphabet[c];		/* Set new alpha */
			b = 0;		/* Back to zero position */
		}
	}
}


